#include<iostream>
#define endl '\n'
using namespace std;
const long long mod=998244353;
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n,m,k,r=1;
    cin>>n>>m>>k;

    for(int i=1;i<=n;i++)
    {
        r*=(m-i+1);r%=mod;
    }
cout<<1<<endl;
}
